﻿namespace WCS.Core;

public class BelongToAttribute : Attribute
{
    public BelongToAttribute(Type worldType)
    {
        WorldType = worldType;
    }

    public Type WorldType { get; set; }
}

public class OrderAttribute : Attribute
{
    public OrderAttribute(OrderType order, Type sysType)
    {
        Order = order;
        SystemType = sysType;
    }

    public OrderType Order { get; set; }
    public Type SystemType { get; set; }
}

public enum OrderType
{
    Before = -1,
    After = 1
}