﻿using SqlSugar;
using System;
using System.Runtime.Serialization;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    [DataContract]
    [SugarTable("SX_Robot520")]
    public class WCS_Robot520 : IRobot520
    {
        [TimeDbSplitField(DateType.Day)]
        public DateTime Frame { get; set; }

        [SugarColumn(ColumnDataType = "symbol")]
        public string Code { get; set; }
        public short AddrFrom { get; set; }
        public short AddrTo { get;set; }
        public short GoodsType { get;set; }
        public short TaskQty { get;set; }
        public RobotCmd Cmd { get;set; }
        public short VoucherNo { get;set; }
        public int Task1 { get;set; }
        public int Task2 { get;set; }
        public int Task3 { get;set; }
    }
}
