﻿using SqlSugar;
using System;
using System.Runtime.Serialization;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    [DataContract]
    [SugarTable("SX_Robot530")]
    public class WCS_Robot530 : IRobot530
    {
        [TimeDbSplitField(DateType.Day)]
        public DateTime Frame { get; set; }

        [SugarColumn(ColumnDataType = "symbol")]
        public string Code { get; set; }

        public int PalletID { get; set; }
        public short Type { get; set; }
        public short MaxQty { get; set; }

        public RobotStationCmd Cmd { get; set; }

        public short VoucherNo { get; set; }
    }
}