﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.Entity.Protocol.HUB;

namespace WCS.WorkEngineering.WebApi.Models.WCS.Request
{
    /// <summary>
    ///  设备运行状态
    /// </summary>
    public class DevRunInfoViewMode
    {
        /// <summary>
        ///  类型
        /// </summary>
        public DevType Type { get; set; }

        /// <summary>
        /// 范围
        /// </summary>
        public ScopeType Scope { get; set; }

        /// <summary>
        ///  开始时间
        /// </summary>
        public DateTime StateTime { get; set; }

        /// <summary>
        ///  结束时间
        /// </summary>
        public DateTime EndTime { get; set; }
    }

    public enum ScopeType
    {
        /// <summary>
        ///  年
        /// </summary>
        Year = 1,

        /// <summary>
        ///  月
        /// </summary>
        Month = 2,

        /// <summary>
        ///  日
        /// </summary>
        Day = 3,

        /// <summary>
        ///  小时
        /// </summary>
        Hour = 4,
    }
}
