﻿using SqlSugar;
using System;
using System.Runtime.Serialization;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    [DataContract]
    [SugarTable("SX_Robot531")]
    public class WCS_Robot531 : IRobot531
    {
        [TimeDbSplitField(DateType.Day)]
        public DateTime Frame { get; set; }

        [SugarColumn(ColumnDataType = "symbol")]
        public string Code { get; set; }

        public int PalletID { get; set; }
        public short Type { get; set; }
        public short MaxQty { get; set; }
        public short Qty { get; set; }
        public RobotStationRqst Rqst { get; set; }
        public short VoucherNo { get; set; }
        public int[] TaskArray { get; set; }
    }
}