﻿using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.SRM
{
    /// <summary>
    ///  SRM520
    /// </summary>
    [DataContract]
    [SugarTable("SX_SRM520")]
    public class WCS_SRM520 : ISRM520
    {
        [TimeDbSplitField(DateType.Day)]
        public DateTime Frame { get; set; }

        [SugarColumn(ColumnDataType = "symbol")]
        public string Code { get; set; }

        public int TaskID1 { get; set; }
        public short SRow1 { get; set; }
        public short SCol1 { get; set; }
        public short SLayer1 { get; set; }
        public short CancelAck1 { get; set; }
        public short ERow1 { get; set; }
        public short ECol1 { get; set; }
        public short ELayer1 { get; set; }
        public short EDepth1 { get; set; }
        public short Target1 { get; set; }
        public short TaskType1 { get; set; }
        public short OkAck1 { get; set; }
        public int TaskID2 { get; set; }
        public short SRow2 { get; set; }
        public short SCol2 { get; set; }
        public short SLayer2 { get; set; }
        public short CancelAck2 { get; set; }
        public short ERow2 { get; set; }
        public short ECol2 { get; set; }
        public short ELayer2 { get; set; }
        public short EDepth2 { get; set; }
        public short Target2 { get; set; }
        public short TaskType2 { get; set; }
        public short OkAck2 { get; set; }
        public short HB { get; set; }
        public short VoucherNo { get; set; }
    }
}